import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Utils";
import "KragenPlugs.DUInterface";

BannerSetup = class( Turbine.UI.Lotro.Window );

function BannerSetup:Constructor()

	Turbine.UI.Lotro.Window.Constructor( self );
	self:SetVisible(false);
	self:SetSize(300, 250);
	self:SetPosition(520, 100);
	self:SetText("KB: Banner Setup");

	self.qs = { };
	
	self.bTitle=Turbine.UI.Label();
	self.bTitle:SetParent(self);
	self.bTitle:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.bTitle:SetFontStyle(Turbine.UI.FontStyle.None );
	self.bTitle:SetForeColor(Turbine.UI.Color(1,0.96,0.874,0.576));
	self.bTitle:SetText("Banners");
	self.bTitle:SetSize(300,20)
	self.bTitle:SetPosition(0, 50);
	self.bTitle:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	
	self.qs[1]=Turbine.UI.Lotro.Quickslot();
	self.qs[1]:SetParent(self);
	self.qs[1]:SetSize(35,35);
	self.qs[1]:SetPosition(91,70);

	self.qs[2]=Turbine.UI.Lotro.Quickslot();
	self.qs[2]:SetParent(self);
	self.qs[2]:SetSize(35,35);
	self.qs[2]:SetPosition(132,70);

	self.qs[3]=Turbine.UI.Lotro.Quickslot();
	self.qs[3]:SetParent(self);
	self.qs[3]:SetSize(35,35);
	self.qs[3]:SetPosition(173,70);
	
	self.aTitle=Turbine.UI.Label();
	self.aTitle:SetParent(self);
	self.aTitle:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.aTitle:SetFontStyle(Turbine.UI.FontStyle.None );
	self.aTitle:SetForeColor(Turbine.UI.Color(1,0.96,0.874,0.576));
	self.aTitle:SetText("Armament");
	self.aTitle:SetSize(300,20)
	self.aTitle:SetPosition(0, 110);
	self.aTitle:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	
	self.qs[4]=Turbine.UI.Lotro.Quickslot();
	self.qs[4]:SetParent(self);
	self.qs[4]:SetSize(35,35);
	self.qs[4]:SetPosition(132, 130);
	
	self.clearqs = Turbine.UI.Lotro.Button();
	self.clearqs:SetParent(self);
	self.clearqs:SetSize(200,18);
	self.clearqs:SetPosition(300/2 - 100,180);
	self.clearqs:SetText("Clear Quickslots");

	self.accept = Turbine.UI.Lotro.Button();
	self.accept:SetParent(self);
	self.accept:SetSize(120,18);
	self.accept:SetPosition(260,480);
	self.accept:SetText("Accept");

	self.cancel = Turbine.UI.Lotro.Button();
	self.cancel:SetParent(self);
	self.cancel:SetSize(120,18);
	self.cancel:SetPosition(130,480);
	self.cancel:SetText("Cancel");
	
	self.clearqs.MouseClick = function(sender,args)
		self.qs[1]:SetShortcut(nil);
		self.qs[2]:SetShortcut(nil);
		self.qs[3]:SetShortcut(nil);
		self.qs[4]:SetShortcut(nil);
		self:SetVisible(false);
		self:SetVisible(true);
	end

	self.accept.MouseClick = function(sender,args)
		self:Close();
	end

	self.Closing = function(sender,args)
		
	end

end