import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Utils";
import "KragenPlugs.KragenBars";
import "KragenPlugs.DUInterface";

SetupWindow = class( Turbine.UI.Lotro.Window );

function SetupWindow:Constructor()

	Turbine.UI.Lotro.Window.Constructor( self );
	self:SetVisible(false);
	self:SetSize(420, 515);
	self:SetPosition(100, 100);
	self:SetText("KragenBars Options");
	self.bg=Turbine.UI.Window();
	self.bg:SetParent(self);
	self.bg:SetPosition(10, 45);
	self.bg:SetSize(400,430);
	self.bg:SetBackground("KragenPlugs/DUInterface/Resources/window_bgb.tga");
	

	self.checkbox1=KragenPlugs.DUInterface.CheckBox();
	self.checkbox1:SetParent(self.bg);
	self.checkbox1:SetVisible(true);
	self.checkbox1:SetChecked(true);
	self.checkbox1:SetDisabled(false);
	self.checkbox1:SetPosition(20,30);

	self.checkbox2=KragenPlugs.DUInterface.CheckBox();
	self.checkbox2:SetParent(self.bg);
	self.checkbox2:SetVisible(true);
	self.checkbox2:SetChecked(true);
	self.checkbox2:SetDisabled(false);
	self.checkbox2:SetPosition(20,60);

	self.checkbox3=KragenPlugs.DUInterface.CheckBox();
	self.checkbox3:SetParent(self.bg);
	self.checkbox3:SetVisible(true);
	self.checkbox3:SetChecked(true);
	self.checkbox3:SetDisabled(false);
	self.checkbox3:SetPosition(20,90);

	self.checkbox4=KragenPlugs.DUInterface.CheckBox();
	self.checkbox4:SetParent(self.bg);
	self.checkbox4:SetVisible(true);
	self.checkbox4:SetChecked(true);
	self.checkbox4:SetDisabled(false);
	self.checkbox4:SetPosition(20,120);

	self.checkbox5=KragenPlugs.DUInterface.CheckBox();
	self.checkbox5:SetParent(self.bg);
	self.checkbox5:SetVisible(true);
	self.checkbox5:SetChecked(true);
	self.checkbox5:SetDisabled(false);
	self.checkbox5:SetPosition(20,150);
	
	self.checkbox6=KragenPlugs.DUInterface.CheckBox();
	self.checkbox6:SetParent(self.bg);
	self.checkbox6:SetVisible(true);
	self.checkbox6:SetChecked(true);
	self.checkbox6:SetDisabled(false);
	self.checkbox6:SetPosition(20,180);

	self.checkbox7=KragenPlugs.DUInterface.CheckBox();
	self.checkbox7:SetParent(self.bg);
	self.checkbox7:SetVisible(true);
	self.checkbox7:SetChecked(true);
	self.checkbox7:SetDisabled(false);
	self.checkbox7:SetPosition(20,210);
	
	self.checkbox8=KragenPlugs.DUInterface.CheckBox();
	self.checkbox8:SetParent(self.bg);
	self.checkbox8:SetVisible(true);
	self.checkbox8:SetChecked(true);
	self.checkbox8:SetDisabled(false);
	self.checkbox8:SetPosition(20,240);
	
	self.checkbox9=KragenPlugs.DUInterface.CheckBox();
	self.checkbox9:SetParent(self.bg);
	self.checkbox9:SetVisible(true);
	self.checkbox9:SetChecked(true);
	self.checkbox9:SetDisabled(false);
	self.checkbox9:SetPosition(220,30);
	
	self.checkbox10=KragenPlugs.DUInterface.CheckBox();
	self.checkbox10:SetParent(self.bg);
	self.checkbox10:SetVisible(true);
	self.checkbox10:SetChecked(true);
	self.checkbox10:SetDisabled(false);
	self.checkbox10:SetPosition(220,60);
	
	self.checkbox11=KragenPlugs.DUInterface.CheckBox();
	self.checkbox11:SetParent(self.bg);
	self.checkbox11:SetVisible(true);
	self.checkbox11:SetChecked(true);
	self.checkbox11:SetDisabled(false);
	self.checkbox11:SetPosition(220,90);
	
	
	self.psTitle=Turbine.UI.Label();
	self.psTitle:SetParent(self.bg);
	self.psTitle:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.psTitle:SetFontStyle(Turbine.UI.FontStyle.None );
	self.psTitle:SetForeColor(Turbine.UI.Color(1,0.96,0.874,0.576));
	self.psTitle:SetText("Primary Stance");
	self.psTitle:SetSize(160,20)
	self.psTitle:SetPosition(20, 285);
	self.psTitle:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);

 	self.ssTitle=Turbine.UI.Label();
	self.ssTitle:SetParent(self.bg);
	self.ssTitle:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self.ssTitle:SetFontStyle(Turbine.UI.FontStyle.None );
	self.ssTitle:SetForeColor(Turbine.UI.Color(1,0.96,0.874,0.576));
	self.ssTitle:SetText("Secondary Stance");
	self.ssTitle:SetSize(160,20)
	self.ssTitle:SetPosition(215, 285);
	self.ssTitle:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);

	self.slider1 = KragenPlugs.DUInterface.Slider();
	self.slider1:SetParent(self.bg);
	self.slider1:SetPosition(50,380);
	self.slider1:SetSize(300,340);
	self.slider1:SetText("Opacity");
	self.slider1:SetMinMax(0,1);
	self.slider1:SetStep(.02);
	self.slider1:SetPlaces(2);
	self.slider1:SetValue(1);

	self.accept = Turbine.UI.Lotro.Button();
	self.accept:SetParent(self);
	self.accept:SetSize(120,18);
	self.accept:SetPosition(250,480);
	self.accept:SetText("Accept");

	self.cancel = Turbine.UI.Lotro.Button();
	self.cancel:SetParent(self);
	self.cancel:SetSize(120,18);
	self.cancel:SetPosition(120,480);
	self.cancel:SetText("Cancel");
	
    self.cancel.MouseClick = function(sender,args)
		self.checkbox1:SetChecked(settings.checkbox1);
		self.checkbox2:SetChecked(settings.checkbox2);
		self.checkbox3:SetChecked(settings.checkbox3);
		self.checkbox4:SetChecked(settings.checkbox4);
		self.checkbox5:SetChecked(settings.checkbox5);
		self.checkbox6:SetChecked(settings.checkbox6);
		self.checkbox7:SetChecked(settings.checkbox7);
		if (self.dropdown1) then
        	self.dropdown1.SetIndex(settings.dropdown1);
        	self.dropdown2.SetIndex(settings.dropdown2);
		end
  		self.slider1:SetValue(settings.opacity);
		self:Close();
	end

	self.accept.MouseClick = function(sender,args)
		self:Close();
	end

	self.Closing = function(sender,args)
		settings.opacity = self.slider1:GetValue();
		KragenBars:SetupClosing();
	end

end