--Options box
--*************
--See the end for initialisation.

--I have decided to create the box and then keep it, changing it when new data is to be edited.
--I have no idea if this is more efficient - but it feels right.	

function OptionBoxBuild()
--The box will be in two sections;
--Top part for colour, bottom part for faders
--Each part is stored in a seperate listbox for simplicity
	Option={}
		
	--Make the window	
	Option.Window = Turbine.UI.Lotro.GoldWindow();
		Option.Window:SetPosition( 200, 200 );
		Option.Window:SetSize( 420, 360 );
		Option.Window:SetText( "Options for ");
		Option.Window:SetVisible( true );

		--Top half is for colour
		--***********************
				--Label above Listbox
				Option.toplabel=Turbine.UI.Label()
				Option.toplabel:SetSize( 140, 20 );
				Option.toplabel:SetPosition( 20, 40 );
				--Option.toplabel:SetBackColor( Turbine.UI.Color( 1,1,0,0 ) );
				Option.toplabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
				Option.toplabel:SetText( "Back colour" );
				Option.toplabel:SetParent(Option.Window)


				--A bar colour preview
				Option.colourpreview=Turbine.UI.Label()
				Option.colourpreview:SetSize( 140, 20 );
				Option.colourpreview:SetPosition( 240, 40 );
				Option.colourpreview:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
				Option.colourpreview:SetText( "Preview" );
				Option.colourpreview:SetParent(Option.Window)
				Option.colourpreview:SetOutlineColor( Turbine.UI.Color( 1, 0, 0,0 ) );
				Option.colourpreview:SetFontStyle( Turbine.UI.FontStyle.Outline )
				Option.colourpreview:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter )


				--define the first listbox
				Option.BackColourListBox = Turbine.UI.ListBox();
				Option.BackColourListBox:SetParent( Option.Window );
				Option.BackColourListBox:SetBackColor( Turbine.UI.Color( 1, 0.02, 0.02,0.02 ) );
				Option.BackColourListBox:SetPosition( 20, 60 );
				Option.BackColourListBox:SetSize( 380, 80);
				Option.BackColourListBox:SetMaxItemsPerLine(3)
				Option.BackColourListBox:SetOrientation( Turbine.UI.Orientation.Horizontal );

				--Contents of this listbox;
				--labels
				Option.RedLabel=optionlabel(50,"Red")
				Option.GreenLabel=optionlabel(50,"Green")
				Option.BlueLabel=optionlabel(50,"Blue")
				Option.AlphaLabel=optionlabel(50,"Alpha")

				--scrollbars
					--Create the bars
					Option.RedScroll=optionscrollbar(280,0)--Value to be changed to target control
					Option.GreenScroll=optionscrollbar(280,0)--Value to be changed to target control
					Option.BlueScroll=optionscrollbar(280,0)--Value to be changed to target control
					Option.AlphaScroll=optionscrollbar(280,0)--Value to be changed to target control

				--textboxes
				Option.RedText=optiontextbox(50,0)
				Option.BlueText=optiontextbox(50,0)
				Option.GreenText=optiontextbox(50,0)
				Option.AlphaText=optiontextbox(50,0)

				Option.BackColourListBox:AddItem(Option.RedLabel)
				Option.BackColourListBox:AddItem(Option.RedScroll)
				Option.BackColourListBox:AddItem(Option.RedText)
				Option.BackColourListBox:AddItem(Option.BlueLabel)
				Option.BackColourListBox:AddItem(Option.BlueScroll)
				Option.BackColourListBox:AddItem(Option.BlueText)
				Option.BackColourListBox:AddItem(Option.GreenLabel)
				Option.BackColourListBox:AddItem(Option.GreenScroll)
				Option.BackColourListBox:AddItem(Option.GreenText)
				Option.BackColourListBox:AddItem(Option.AlphaLabel)
				Option.BackColourListBox:AddItem(Option.AlphaScroll)
				Option.BackColourListBox:AddItem(Option.AlphaText)			
	
	--Sizing Options
	--****************
		Option.sizelabel=Turbine.UI.Label()
			Option.sizelabel:SetSize( 380, 20 );
			Option.sizelabel:SetPosition( 20, 140 );
			Option.sizelabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
			Option.sizelabel:SetText( "Size settings" );
			Option.sizelabel:SetParent(Option.Window)
			Option.sizelabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter )
	
		Option.LeftSizeListBox = Turbine.UI.ListBox();
			Option.LeftSizeListBox:SetParent( Option.Window );
			Option.LeftSizeListBox:SetBackColor( Turbine.UI.Color( 1, 0.02, 0.02,0.02 ) );
			Option.LeftSizeListBox:SetPosition( 20, 160 );
			Option.LeftSizeListBox:SetSize( 185, 40);
			Option.LeftSizeListBox:SetMaxItemsPerLine(3)
			Option.LeftSizeListBox:SetOrientation( Turbine.UI.Orientation.Horizontal );
	
		Option.RightSizeListBox = Turbine.UI.ListBox();
			Option.RightSizeListBox:SetParent( Option.Window );
			Option.RightSizeListBox:SetBackColor( Turbine.UI.Color( 1, 0.02, 0.02,0.02 ) );
			Option.RightSizeListBox:SetPosition( 215,160 );
			Option.RightSizeListBox:SetSize( 185, 40);
			Option.RightSizeListBox:SetMaxItemsPerLine(3)
			Option.RightSizeListBox:SetOrientation( Turbine.UI.Orientation.Horizontal );
	
		Option.sx = Turbine.UI.Lotro.ScrollBar();
			Option.sx:SetSize( 120,10 );
			Option.sx:SetMinimum( 1 );
			Option.sx:SetMaximum( 40 );
			Option.sx:SetSmallChange( 1 );
			Option.sx:SetLargeChange( 1 );	--Value to be changed to target control


		Option.sy = Turbine.UI.Lotro.ScrollBar();
			Option.sy:SetSize( 120,10 );
			Option.sy:SetMinimum( 1 );
			Option.sy:SetMaximum( 40 );
			Option.sy:SetSmallChange( 1 );
			Option.sy:SetLargeChange( 1 );	--Value to be changed to target control
		
		Option.sxt=optiontextbox(35,0)
		Option.syt=optiontextbox(35,0)
		
		Option.sxl=optionlabel(30,"sx")
		Option.syl=optionlabel(30,"sy")
		
			Option.LeftSizeListBox:AddItem(Option.sxl)
			Option.LeftSizeListBox:AddItem(Option.sx)
			Option.LeftSizeListBox:AddItem(Option.sxt)
			Option.LeftSizeListBox:AddItem(Option.syl)
			Option.LeftSizeListBox:AddItem(Option.sy)
			Option.LeftSizeListBox:AddItem(Option.syt)
		
		Option.gap = Turbine.UI.Lotro.ScrollBar();
			Option.gap:SetSize( 120,10 );
			Option.gap:SetMinimum( 0 );
			Option.gap:SetMaximum( 20 );
			Option.gap:SetSmallChange( 1 );
			Option.gap:SetLargeChange( 1 );		--Value to be changed to target control
			
		Option.pad = Turbine.UI.Lotro.ScrollBar();
			Option.pad:SetSize( 120,10 );
			Option.pad:SetMinimum( 0 );
			Option.pad:SetMaximum( 20 );
			Option.pad:SetSmallChange( 1 );
			Option.pad:SetLargeChange( 1 );		--Value to be changed to target control
	
		Option.gapt=optiontextbox(35,0)
		Option.padt=optiontextbox(35,0)
		
		Option.gapl=optionlabel(30,"Gap")
		Option.padl=optionlabel(30,"Pad")
		
			Option.RightSizeListBox:AddItem(Option.gapl)
			Option.RightSizeListBox:AddItem(Option.gap)
			Option.RightSizeListBox:AddItem(Option.gapt)
			Option.RightSizeListBox:AddItem(Option.padl)
			Option.RightSizeListBox:AddItem(Option.pad)
			Option.RightSizeListBox:AddItem(Option.padt)

		--Bottom half is for faders
		--**************************	
	
				--Label above Listbox
				Option.bottomlabel=Turbine.UI.Label()
				Option.bottomlabel:SetSize( 380, 20 );
				Option.bottomlabel:SetPosition( 20, 210 );
				Option.bottomlabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
				Option.bottomlabel:SetText( "Opacity settings" );
				Option.bottomlabel:SetParent(Option.Window)
				Option.bottomlabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter )

				--Mouse labels
					
				Option.MOLabel=optionlabel(100,"Mouse Over")
						Option.MOLabel:SetParent(Option.Window)
						Option.MOLabel:SetPosition( 20, 250 );
				
				Option.MNLabel=optionlabel(100,"Mouse Not")
						Option.MNLabel:SetParent(Option.Window)
						Option.MNLabel:SetPosition( 20, 270 );
				
				
				--Left Half - in combat
						--Title
						Option.LeftTitle=optionlabel(135,"In Combat")
						Option.LeftTitle:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter )
						Option.LeftTitle:SetParent(Option.Window)
						Option.LeftTitle:SetPosition( 120, 230 );
						
						--define the left listbox
						Option.LeftListBox = Turbine.UI.ListBox();
						Option.LeftListBox:SetParent( Option.Window );
						Option.LeftListBox:SetBackColor( Turbine.UI.Color( 1, 0.02, 0.02,0.02 ) );
						Option.LeftListBox:SetPosition( 120, 250 );
						Option.LeftListBox:SetSize( 135, 40);
						Option.LeftListBox:SetMaxItemsPerLine(2)
						Option.LeftListBox:SetOrientation( Turbine.UI.Orientation.Horizontal );
			
						--Scrollbars
						Option.ICMOScroll=optionscrollbar(100,0)--Value to be changed to target control
						Option.ICMNScroll=optionscrollbar(100,0)--Value to be changed to target control
						
						
						Option.ICMOText=optiontextbox(35,0)
						Option.ICMNText=optiontextbox(35,0)
						
						Option.LeftListBox:AddItem(Option.ICMOScroll)
						Option.LeftListBox:AddItem(Option.ICMOText)
						Option.LeftListBox:AddItem(Option.ICMNScroll)
						Option.LeftListBox:AddItem(Option.ICMNText)
						
						--Preview Graphics
						Option.PICMO = Turbine.UI.Window();
						Option.PICMO:SetPosition( 143, 305 );
						Option.PICMO:SetSize( 32, 32);
						Option.PICMO:SetBackground("JackdawPlugins/Bevy/Resources/pet_attack_rollover.tga")
						Option.PICMO:SetParent(Option.Window)
						Option.PICMO:SetOpacity (1)
						
						Option.PICMN = Turbine.UI.Window();
						Option.PICMN:SetPosition( 198, 305 );
						Option.PICMN:SetSize( 32, 32);
						Option.PICMN:SetBackground("JackdawPlugins/Bevy/Resources/pet_attack_rollover.tga")
						Option.PICMN:SetParent(Option.Window)
						Option.PICMN:SetOpacity (1)
						
						
				--Right Half - out of combat
						--Title
						Option.RightTitle=optionlabel(135,"Out of Combat")
						Option.RightTitle:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter )
						Option.RightTitle:SetParent(Option.Window)
						Option.RightTitle:SetPosition( 265, 230 );
						
						--define the Right listbox
						Option.RightListBox = Turbine.UI.ListBox();
						Option.RightListBox:SetParent( Option.Window );
						Option.RightListBox:SetBackColor( Turbine.UI.Color( 1, 0.02, 0.02,0.02 ) );
						Option.RightListBox:SetPosition( 265, 250 );
						Option.RightListBox:SetSize( 135, 40);
						Option.RightListBox:SetMaxItemsPerLine(2)
						Option.RightListBox:SetOrientation( Turbine.UI.Orientation.Horizontal );		
	
						--Scrollbars
						Option.OOCMOScroll=optionscrollbar(100,0)--Value to be changed to target control
						Option.OOCMNScroll=optionscrollbar(100,0)--Value to be changed to target control
				
						Option.OOCMOText=optiontextbox(35,0)
						Option.OOCMNText=optiontextbox(35,0)
						
						Option.RightListBox:AddItem(Option.OOCMOScroll)
						Option.RightListBox:AddItem(Option.OOCMOText)
						Option.RightListBox:AddItem(Option.OOCMNScroll)
						Option.RightListBox:AddItem(Option.OOCMNText)
						
						--Preview Graphics
						Option.POOCMO = Turbine.UI.Window();
						Option.POOCMO:SetPosition( 288, 305 );
						Option.POOCMO:SetSize( 32, 32);
						Option.POOCMO:SetBackground("JackdawPlugins/Bevy/Resources/pet_passive_pressed.tga")
						Option.POOCMO:SetParent(Option.Window)
						Option.POOCMO:SetOpacity (1)
						
						Option.POOCMN = Turbine.UI.Window();
						Option.POOCMN:SetPosition( 343, 305 );
						Option.POOCMN:SetSize( 32, 32);
						Option.POOCMN:SetBackground("JackdawPlugins/Bevy/Resources/pet_passive_pressed.tga")
						Option.POOCMN:SetParent(Option.Window)
						Option.POOCMN:SetOpacity (1)	
	
			--Buttons to go from one bar to the next
				Option.PrevBar=JackdawPlugins.Libs.NewButton{x=20, y=305,width=25,height=25,parent=Option.Window,image="JackdawPlugins/Bevy/Resources/auction_buttons_pressed_right.tga"}
				Option.NextBar=JackdawPlugins.Libs.NewButton{x=55, y=305,width=25,height=25,parent=Option.Window,image="JackdawPlugins/Bevy/Resources/auction_buttons_pressed_left.tga"}
				Option.PrevBar:SetBlendMode(4)
				Option.NextBar:SetBlendMode(4)
	
	--Finally, hide the Option window
	Option.Window:SetVisible( false );
 end
 
 optionlabel=class(Turbine.UI.Label)
 function optionlabel:Constructor(width,text)
	Turbine.UI.Label.Constructor(self)
	self:SetSize( width, 20 );
	self:SetFont(Turbine.UI.Lotro.Font.TrajanPro16)
	self:SetText( text);
end

 optionscrollbar=class(Turbine.UI.Lotro.ScrollBar)
 function optionscrollbar:Constructor(width,value)
	Turbine.UI.Lotro.ScrollBar.Constructor(self)
	self:SetSize( width, 10);
	self:SetMinimum( 0 );
	self:SetMaximum( 1000 );
	self:SetValue( value );
	self:SetOrientation( Turbine.UI.Orientation.Horizontal );
	self:SetSmallChange(100)
	self:SetLargeChange(200)
end

optiontextbox=class(Turbine.UI.Lotro.TextBox)
function optiontextbox:Constructor(width,text)
	Turbine.UI.Lotro.TextBox.Constructor(self)
	self:SetSize(width,20)
	self:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
	self:SetFont(Turbine.UI.Lotro.Font.TrajanPro13)
	self:SetText(text)
	self:SetReadOnly(true)
end


--These functions relate to actually displaying the option box.
function OptionBox(i)
--Display an option box for control i
		Option.Window:SetVisible( true );
--Upload data
	--Change the name at the top of the box
		Option.Window:SetText( "Options for ".. BBar[i].options.name);
	--Change the values of, and register the events to, the ColourScrollbars.
		ColourScrollbars(i)
	--Change the values of, and register the events to,  fader scrollbars. 	
		FaderScrollbars(i)
	--Change the values of, and register the events to, the size bars.
		SizeScrollbars(i)
	--Change the events for the two buttons
		ButtonEvent(i)
end

function ColourScrollbars(i)
			
		--Register the ValueChanged Events
		Option.RedScroll.ValueChanged = function( sender, args ) --event handler
			BBar[i].options.colour.R=((math.floor(Option.RedScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
			Option.RedText:SetText(BBar[i].options.colour.R)
			BBar[i].options.colour=Turbine.UI.Color(BBar[i].options.colour.A,BBar[i].options.colour.R,BBar[i].options.colour.G,BBar[i].options.colour.B)
			BBar[i].Window:SetBackColor(BBar[i].options.colour)
			Option.colourpreview:SetBackColor( BBar[i].options.colour );
		end
		
		Option.GreenScroll.ValueChanged = function( sender, args ) --event handler
			BBar[i].options.colour.G=((math.floor(Option.GreenScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
			Option.GreenText:SetText(BBar[i].options.colour.G)
			BBar[i].options.colour=Turbine.UI.Color(BBar[i].options.colour.A,BBar[i].options.colour.R,BBar[i].options.colour.G,BBar[i].options.colour.B)
			BBar[i].Window:SetBackColor(BBar[i].options.colour)
			Option.colourpreview:SetBackColor( BBar[i].options.colour );
		end			
		
		Option.BlueScroll.ValueChanged = function( sender, args ) --event handler
			BBar[i].options.colour.B=((math.floor(Option.BlueScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
			Option.BlueText:SetText(BBar[i].options.colour.B)
			BBar[i].options.colour=Turbine.UI.Color(BBar[i].options.colour.A,BBar[i].options.colour.R,BBar[i].options.colour.G,BBar[i].options.colour.B)
			BBar[i].Window:SetBackColor(BBar[i].options.colour)
			Option.colourpreview:SetBackColor( BBar[i].options.colour );
		end						
		
		Option.AlphaScroll.ValueChanged = function( sender, args ) --event handler
			BBar[i].options.colour.A=((math.floor(Option.AlphaScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
			Option.AlphaText:SetText(BBar[i].options.colour.A)
			BBar[i].options.colour=Turbine.UI.Color(BBar[i].options.colour.A,BBar[i].options.colour.R,BBar[i].options.colour.G,BBar[i].options.colour.B)
			BBar[i].Window:SetBackColor(BBar[i].options.colour)
			Option.colourpreview:SetBackColor( BBar[i].options.colour );
		end		
		
		--Set current values -- The order of this is VERY important! Otherwise the values for the new 'i' are copied to the last 'i'
		Option.RedScroll:SetValue(1000*BBar[i].options.colour.R)
		Option.BlueScroll:SetValue(1000*BBar[i].options.colour.B)
		Option.GreenScroll:SetValue(1000*BBar[i].options.colour.G)
		Option.AlphaScroll:SetValue(1000*BBar[i].options.colour.A)
		Option.RedText:SetText((math.floor(Option.RedScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
		Option.BlueText:SetText((math.floor(Option.BlueScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
		Option.GreenText:SetText((math.floor(Option.GreenScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
		Option.AlphaText:SetText((math.floor(Option.AlphaScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
		Option.colourpreview:SetBackColor( BBar[i].options.colour );
		
end

function FaderScrollbars(i)
	--Register events
		--In combat bars
		Option.ICMOScroll.ValueChanged = function( sender, args ) --event handler
					BBar[i].options.ICMO=((math.floor(Option.ICMOScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
					Option.ICMOText:SetText(BBar[i].options.ICMO)
					Option.PICMO:SetOpacity(BBar[i].options.ICMO)
					SetOpacityEvent(i)
		end
		Option.ICMNScroll.ValueChanged = function( sender, args ) --event handler
					BBar[i].options.ICMN=((math.floor(Option.ICMNScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
					Option.ICMNText:SetText(BBar[i].options.ICMN)
					Option.PICMN:SetOpacity(BBar[i].options.ICMN)
					SetOpacityEvent(i)
		end
		--OOC bars
		Option.OOCMOScroll.ValueChanged = function( sender, args ) --event handler
					BBar[i].options.OOCMO=((math.floor(Option.OOCMOScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
					Option.OOCMOText:SetText(BBar[i].options.OOCMO)
					Option.POOCMO:SetOpacity(BBar[i].options.OOCMO)
					SetOpacityEvent(i)
		end		
		Option.OOCMNScroll.ValueChanged = function( sender, args ) --event handler
					BBar[i].options.OOCMN=((math.floor(Option.OOCMNScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
					Option.OOCMNText:SetText(BBar[i].options.OOCMN)
					Option.POOCMN:SetOpacity(BBar[i].options.OOCMN)
					SetOpacityEvent(i)
		end	
	--Set current values
	Option.OOCMOScroll:SetValue(1000*BBar[i].options.OOCMO)
	Option.OOCMNScroll:SetValue(1000*BBar[i].options.OOCMN)
	Option.ICMOScroll:SetValue(1000*BBar[i].options.ICMO)
	Option.ICMNScroll:SetValue(1000*BBar[i].options.ICMN)
	
	Option.OOCMOText:SetText((math.floor(Option.OOCMOScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
	Option.OOCMNText:SetText((math.floor(Option.OOCMNScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
	Option.ICMOText:SetText((math.floor(Option.ICMOScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
	Option.ICMNText:SetText((math.floor(Option.ICMNScroll:GetValue() * 0.1 + 0.5) /0.1)/ 1000)
end

function SizeScrollbars(i)

	--Register events
	Option.gap.ValueChanged = function( sender, args ) --event handler
		BBar[i].options.gap=Option.gap:GetValue()
		BBar[i].Quickslot.gap=Option.gap:GetValue()
		Option.gapt:SetText(BBar[i].options.gap)
		BBarModify(i)
	end
	Option.gap:SetValue(BBar[i].options.gap or 0)
	Option.gapt:SetText(BBar[i].options.gap or 0)
	
	Option.pad.ValueChanged = function( sender, args ) --event handler
		BBar[i].options.pad=Option.pad:GetValue()
		BBar[i].Quickslot.pad=Option.pad:GetValue()
		Option.padt:SetText(BBar[i].options.pad)
		BBarModify(i)
	end
	Option.pad:SetValue(BBar[i].options.pad or 0)
	Option.padt:SetText(BBar[i].options.pad or 0)
	
	Option.sx.ValueChanged = function( sender, args ) --event handler
		BBar[i].options.sx=Option.sx:GetValue()
		BBar[i].Quickslot.sx=Option.sx:GetValue()
		Option.sxt:SetText(BBar[i].options.sx)
		BBarModify(i)
	end
	Option.sx:SetValue(BBar[i].options.sx or 1)
	Option.sxt:SetText(BBar[i].options.sx or 1)
	Option.sx:SetMaximum(MaxBar(i)[1])
	
	Option.sy.ValueChanged = function( sender, args ) --event handler
		BBar[i].options.sy=Option.sy:GetValue()
		BBar[i].Quickslot.sy=Option.sy:GetValue()
		Option.syt:SetText(BBar[i].options.sy)
		BBarModify(i)
	end
	Option.sy:SetValue(BBar[i].options.sy or 1)
	Option.syt:SetText(BBar[i].options.sy or 1)
	Option.sy:SetMaximum(MaxBar(i)[2])
end

function ButtonEvent(i)
--Button 1 - previous bar.
	--Hide if currently on bar 1
	if i==1 then Option.PrevBar:SetVisible(false)	else Option.PrevBar:SetVisible(true) end
	--Set the click event
	Option.PrevBar.Click= function (sender, args)
		Option.Window:Close()
		return OptionBox(i-1)
	end
--Button 2-- next bar
	--Hide if currently on bar NumberOfBars
	if i==NumberOfBars then Option.NextBar:SetVisible(false) else Option.NextBar:SetVisible(true) end
	--Set the click event
	Option.NextBar.Click= function (sender, args)
		Option.Window:Close()
		return OptionBox(i+1)
	end
end

--Build the option box
OptionBoxBuild()
