--Mainly ported from PopUps with modifications to suit a pure bar plugin.

--Add a button to a bar
function BBarAddButton(i)
--Add a button to BBar[i], at the top left.
	BBar[i].button=JackdawPlugins.Libs.NewButton{x=1,y=1,width=34,height=34,parent=BBar[i].Window}--[[,image="JackdawPlugins/Bevy/Resources/star.tga"}
	BBar[i].button:SetBlendMode(Turbine.UI.BlendMode.Overlay)]]-- This would add a nice "star" icon - but I have found the I prefer the BigRedButton...
	BBar[i].button:SetOpacity(1)
	BBar[i].button:SetVisible(false)
--Assign events to the buttons
	BBarButtonEvents(i)
end

function BBarButtonEvents(i)
--Set to only be visible when UI is unlocked.
	BBar[i].button:SetWantsKeyEvents(true);
	BBar[i].button.KeyDown = function(sender, args)
	--When turbine fix that bug remove the code from here...
	if i==1 then
		if set==false then
		set=pcall(function () 
			if ( Plugins ["BevyOBars"] ~= nil ) then
				JackdawPlugins.Libs.echo("BevyOBars registered for save on unload")
				Plugins["BevyOBars"].Unload = function( sender, args )
					save()
					JackdawPlugins.Libs.echo("Thank you for using Bevy O' Bars!")
						--Clear all the quicklsots
						for i=1, NumberOfBars do
							for j=1, #BBar[i].Quickslot do
								BBar[i].Quickslot[j]:SetShortcut(nil)
							end
						end
				end
			end
		end) end
	end 																													-- ...to here
		if (args.Action == 268435579) then
			--reveal or hide button
			BBar[i].button:SetVisible(not BBar[i].button:IsVisible())
			if i==1			then
				save()
				end--I am going to attach this only to bar 1.
			end
		end
--Register button click to open the menu
	BBar[i].button.MouseDown = function( sender, args )
	-- build the menu items in the context menu
		local contextMenu = Turbine.UI.ContextMenu();
		local contextMenuItems = contextMenu:GetItems();

		local ChangeWidth = Turbine.UI.MenuItem( "Change width.." )
		contextMenu.CWSubmenuItems= ChangeWidth:GetItems()
			local IncWidth = Turbine.UI.MenuItem("Increase width",BBar[i].options.sx<MaxBar(i)[1]) --New Function!
				IncWidth.Click=function(sender,args) 
				BBar[i].options.sx=BBar[i].options.sx+1
				BBarModify(i)
			end	
			local DecWidth = Turbine.UI.MenuItem("Decrease width",BBar[i].options.sx>1) --Thank you to Wuzi for spotting the bug! Without this zero length bars are possible.
				DecWidth.Click=function(sender,args) 
				BBar[i].options.sx=BBar[i].options.sx-1
				BBarModify(i)
			end	
			
			contextMenu.CWSubmenuItems:Add(IncWidth)
			contextMenu.CWSubmenuItems:Add(DecWidth)
		
		local ChangeHeight = Turbine.UI.MenuItem( "Change height.." )
		contextMenu.CHSubmenuItems= ChangeHeight:GetItems()
			local IncHeight = Turbine.UI.MenuItem("Increase height",BBar[i].options.sy<MaxBar(i)[2])
				IncHeight.Click=function(sender,args) 
				BBar[i].options.sy=BBar[i].options.sy+1
				BBarModify(i)
			end	
			local DecHeight = Turbine.UI.MenuItem("Decrease height",BBar[i].options.sy>1)
				DecHeight.Click=function(sender,args) 
				BBar[i].options.sy=BBar[i].options.sy-1
				BBarModify(i)
			end	
			
			contextMenu.CHSubmenuItems:Add(IncHeight)
			contextMenu.CHSubmenuItems:Add(DecHeight)

	local BarMenuItem = Turbine.UI.MenuItem("Add or Delete Bar")
		contextMenu.SubMenuItems = BarMenuItem:GetItems()

			local addbar = Turbine.UI.MenuItem( "Add Bar" );
			addbar.Click = function( sender, args )
				BBaraddbar()
			end

			local deletebar = Turbine.UI.MenuItem( "Delete "..BBar[i].options.name,(NumberOfBars>1));
			deletebar.Click = function( sender, args )
				BBardeletebar(i)
			end

			contextMenu.SubMenuItems:Add(addbar)		
			contextMenu.SubMenuItems:Add(deletebar)
	
	local ShowOtherOptions = Turbine.UI.MenuItem("Show Other Options")
		ShowOtherOptions.Click=function(sender,args) import "JackdawPlugins.Bevy.options" OptionBox(i) end --This way this whole section does not get loaded unless used.

		contextMenuItems:Add( ChangeWidth )
		contextMenuItems:Add( ChangeHeight )
		contextMenuItems:Add( BarMenuItem )
		contextMenuItems:Add( ShowOtherOptions)
		contextMenu:ShowMenu();
	end
end 

--Register that a bar has been modified, by changing its size, the size of icon, padding, gap etc. Note: Size is only here ready for when they let us!
function BBarModify (i)
local size=BBar[i].options.size or 35
local gap=BBar[i].options.gap or 0
local pad=BBar[i].options.pad or 0
local sx,sy =BBar[i].options.sx,BBar[i].options.sy

local width=sx*(size+gap)+gap+2*pad
local height=sy*(size+gap)+gap+2*pad

BBar[i].Window:SetSize(width,height)

end

--Add a new bar
function BBaraddbar ()
--Increase the number of bars and add a new bar. By default it appears nudged in from the bottom right.
	NumberOfBars=NumberOfBars+1
	local i=NumberOfBars
	BBar[i]={}
	JackdawPlugins.Libs.NewQBar(BBar[i],{x=0,y=0,sx=4,sy=3,dragbar=true,pad=2,name="Bevy Bar "..i})
	
	BBarAddButton(i)
	BBar[i].button:SetVisible(true)
	BBar[i].options.colour=Turbine.UI.Color(0,0,0,0)
	--In Combat Mouse Over;ICMO and In Combat Mouse Not;ICMN and the same with OOC!
	BBar[i].options.ICMO=1				BBar[i].options.ICMN=1
	BBar[i].options.OOCMO=1			BBar[i].options.OOCMN=1
	--Tell the bar we are unlocked
	BBar[i].Window.DragBar:ToggleDraggable( )
	SetOpacityEvent(i)
	Option.Window:Close()
end

--Delete a bar!
function BBardeletebar(i)
	BBar[i].Window:SetVisible(false)
	table.remove(BBar,i)
	--		if result==nil then JackdawPlugins.Libs.echo("nil") else JackdawPlugins.Libs.echo("Not Nil") end
	NumberOfBars=NumberOfBars-1

	for j = i, NumberOfBars do
		--Reassign names.
			BBar[j].options.name="Bevy Bar "..j
		--Reassign Dragbar names.
			BBar[j].Window.DragBar.sName =BBar[j].options.name
			BBar[j].Window.DragBar.Label:SetText( BBar[j].options.name );
		--Re-do Opacity events.
			SetOpacityEvent(j)
		--Final problem - the buttons point to the wrong place now. Need to re-assign events
			BBarButtonEvents(j)
	end
	Option.Window:Close()
end

function save()
--Save all the bar information. Hopefully!
	
	--Do not save if loading
	if loading==1 then
		return
	end
	for i = 1,NumberOfBars do
		BBar[i].Shortcut=BBar[i].Quickslot:StoreSlots()
	end
	Turbine.PluginData.Save( Turbine.DataScope.Character, "BBar", BBar );
end

function load()
--Load back in all the bar info

	--Disable saving whilst loading.
	loading = 1	
	--Here we get the results of the save and save into a temp file.
	BBarTemp=Turbine.PluginData.Load( Turbine.DataScope.Character, "BBar")
	
	--Test to see if there was no data
	if type(BBarTemp)~="table" then
	--Load defaults then!
		--Defaults. 3 bars of varying sizes
			NumberOfBars=3
			BBar={}
			for i=1 , NumberOfBars do
				BBar[i]={}
				JackdawPlugins.Libs.NewQBar (BBar[i],{x=0*i,y=36*i,sx=i*3,sy=i,gap=0,pad=2,dragbar=true,name="Bevy Bar"..i,colour=Turbine.UI.Color(0.5,0,0,0)})
				BBarAddButton(i) -- Add the modifier button
				--Opacity settings
				--In Combat Mouse Over;ICMO and In Combat Mouse Not;ICMN and the same with OOC!
				BBar[i].options.ICMO=1				BBar[i].options.ICMN=1
				BBar[i].options.OOCMO=1			BBar[i].options.OOCMN=1
				SetOpacityEvent(i)
			end
			loading = 0
			return --Nothing more to see here... move along.
	end

	--OK, there was data. Better load it then.
	--Get NumberOfBars
	BBar={}
	NumberOfBars = #BBarTemp ;-- This does NOT work as, occaisonally, a blank bar gets through. table.remove does not always remove the table...
	for i=1, NumberOfBars do
		--This line attempts to solve this error by reducing number of bars
		if BBarTemp[i].options==nil then NumberOfBars=i-1 break end
	end

	for i=1 , NumberOfBars do
		--Sets colour settings properly
		BBarTemp[i].options.colour=Turbine.UI.Color(
		BBarTemp[i].options.colour.A,
		BBarTemp[i].options.colour.R,
		BBarTemp[i].options.colour.G,
		BBarTemp[i].options.colour.B)
		BBar[i]={}
		--Use the values from the save file to make the new  bar
		JackdawPlugins.Libs.NewQBar(BBar[i],BBarTemp[i].options)
		BBarAddButton(i) -- Add the modifier button
		
		if BBarTemp[i].Shortcut~=nil then BBar[i].Quickslot:LoadSlots(BBarTemp[i].Shortcut) else JackdawPlugins.Libs.echo ("No Bar data saved") end
		SetOpacityEvent(i)
	end

	loading=0
end

--Opacity Function
--******************
--This sets the opacity of BBar[i] to o; the window and all its quicklsots
function SetOpacity(i,o)
	BBar[i].Window:SetOpacity(o)
	for j = 1 , BBar[i].options.sx*BBar[i].options.sy do
		BBar[i].Quickslot[j]:SetOpacity(o)
	end
end

--Event Handler setter
--**********************
--This sets the opacity events for all bars
--Also sets the opacity NOW to OOCMN
function SetOpacityEvent(i)
	--Have to set this once...
			BBar[i].Window.MouseEnter = function ( sender, args)
				SetOpacity(i,BBar[i].options.OOCMO)
			end
			BBar[i].Window.MouseLeave = function ( sender, args)
				SetOpacity(i,BBar[i].options.OOCMN)
			end
			SetOpacity(i,BBar[i].options.OOCMN)
	SetOpacity(i,BBar[i].options.OOCMN)
	--Now to key in a global event that changes every bar.
	globalopacityevent()
end
function globalopacityevent()
	Player.InCombatChanged = function( sender, args )
		for i=1, NumberOfBars do
			--If in combat
			if Player:IsInCombat() then
				SetOpacity(i,BBar[i].options.ICMN)
					BBar[i].Window.MouseEnter = function ( sender, args)
						SetOpacity(i,BBar[i].options.ICMO)
					end
					BBar[i].Window.MouseLeave = function ( sender, args)
						SetOpacity(i,BBar[i].options.ICMN)
					end
			else --we are not in combat then? GOOD!
			SetOpacity(i,BBar[i].options.OOCMN)
				BBar[i].Window.MouseEnter = function ( sender, args)
					SetOpacity(i,BBar[i].options.OOCMO)
				end
				BBar[i].Window.MouseLeave = function ( sender, args)
					SetOpacity(i,BBar[i].options.OOCMN)
				end
			end
		end
	end
end

function MaxBar(i)
--Calculates the maximum bar size and returns in a neat little table
--This actually does NOT give the true maximum bar. Odd. But it is close enough.

local size=BBar[i].options.size or 35
local gap=BBar[i].options.gap or 0
local pad=BBar[i].options.pad or 0

return {math.floor((SW-2*pad)/(size+gap)),math.floor((SH-2*pad)/(size+gap))}
end


