import "Turbine"
import "Turbine.UI";
import "Turbine.Utils";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";

import "JackdawPlugins.Libs.Common"
import "JackdawPlugins.Libs.QBar"
import "JackdawPlugins.Libs.Buttons"

import "JackdawPlugins.Bevy.function"

import "Deusdictum.UI.Dragbar"

--[[

		Bevy O' Bars
		********************
		bevy/'beve/Noun
		1. A large group of people or things of a particular kind.
		2. A group of birds, particularly when closely gathered on the ground.
		
		What is it?
		************
		Allows the user to create quickslot bars of any size they want with options to be faded out of combat etc.
		Back colour is something I add here that I have no intention of adding to PopUps. Pop-up bars can be identified easily by location; this is not as easy for a Bevy Bar!

		What is left to do?
		*********************
		Set full opacity option on;	Parry response, etc 								< This is problematic without a full account. Put in the 'I want' pile.
		Real disappearing bars - so you can clickthrough. 							< Not massively important until the one above works
		Options button always at full opacity													< Would require a bit of a rewrite. Can't be bothered! It's still there at the top left slot of any bar, even if you can't see it.
		Keybinds																								< Come on Turbine!
	
		Known "Features"
		*******************
		*	The plugin can't detect if display is unlocked when the plugin is loaded. So, make sure it is locked before you start!
		*	If you change the screen resolution you can lose sight of the bars.
		* 	Skills will NOT fire on right clicks - this is down to Turbine, which is why I use right clicks for the feature above.
	
		Thanks
		********
		As this is based on the same code as PopUps I send thanks to everyone who helped me with that one, but especially D1Hicks for his quickslot code. Also, thanks Turbine for letting me loose on this stuff!
]]--
		
	Turbine.Shell.WriteLine("Bevy O' Bars version 3.1b by MrJackdaw - enjoy!")	
--Begin

	--Standard variables
	SW,SH=Turbine.UI.Display.GetSize() -- size of the display
	
	--Used in opacity events
	if pcall( Turbine.Gameplay.LocalPlayer.GetInstance ) then
		Player = Turbine.Gameplay.LocalPlayer.GetInstance();
	else
		Player = Turbine.Gameplay.LocalPlayer();
	end
		
	--load the settings, or set to defaults.				
	load()


--Save events.
	--First one, registered to the button on BBar[1], saves when the UI is locked.
	--Second ; save on Unload. Thanks ForsakenArcher!
	-- Due to a bug in the Turbine code this is currently hidden in the assignbutton function - get it out of there when they fix the code!
		set=false --Clear this line and uncomment below when the bug is fixed
	--[[if ( Plugins ["PopUps"] ~= nil ) then
		Plugins["PopUps"].Unload = function( sender, args )
			save()
			JackdawPlugins.Libs.echo("Thank you for using Pop Up Bars!")
		end
	end]]--