import "Turbine.UI";
import "Turbine.Utils";

BaseWindow = class( Turbine.UI.Control );
function BaseWindow:Constructor(width,height)
	Turbine.UI.Control.Constructor(self );
	self:SetSize(width,height);
	self:SetZOrder(99);
	self:SetBackColor(Turbine.UI.Color(.01,0,0,0));
	self:SetBackColorBlendMode(2);
	self:SetBlendMode(2);
	self.ul=Turbine.UI.Control();
	self.ul:SetParent(self);
	self.ul:SetSize(36,36);
	self.ul:SetPosition(0,0);
	self.ul:SetBackground("KragenPlugs/DUInterface/Resources/box_silver_upper_left.tga");
	--self.ul:SetBackColor(Turbine.UI.Color(.01,0,0,0));
	self.ul:SetBackColorBlendMode(4);
	self.ul:SetBlendMode(4);
	self.ur=Turbine.UI.Control();
	self.ur:SetParent(self);
	self.ur:SetSize(36,36);
	self.ur:SetBackground("KragenPlugs/DUInterface/Resources/box_silver_upper_right.tga");
	self.ur:SetPosition(self:GetWidth()-36,0);
	self.ur:SetBlendMode(4);
	self.ur:SetBackColorBlendMode(4);
	self.lr=Turbine.UI.Control();
	self.lr:SetParent(self);
	self.lr:SetSize(36,36);
	self.lr:SetBackground("KragenPlugs/DUInterface/Resources/box_silver_lower_right.tga");
	self.lr:SetPosition(self:GetWidth()-36,self:GetHeight()-36);
	self.lr:SetBlendMode(4);
	self.lr:SetBackColorBlendMode(4);
	self.ll=Turbine.UI.Control();
	self.ll:SetParent(self);
	self.ll:SetSize(36,36);
	self.ll:SetBackground("KragenPlugs/DUInterface/Resources/box_silver_bottom_left.tga");
	self.ll:SetPosition(0,self:GetHeight()-36);
	self.ll:SetBlendMode(4);
	self.ll:SetBackColorBlendMode(4);
	self.ml=Turbine.UI.Control();
	self.ml:SetParent(self);
	self.ml:SetSize(36,self:GetHeight()-72);
	self.ml:SetBackground("KragenPlugs/DUInterface/Resources/box_silver_side_left.tga");
	self.ml:SetPosition(0,36);
	self.ml:SetBlendMode(4);
	self.ml:SetBackColorBlendMode(4);
	self.mr=Turbine.UI.Control();
	self.mr:SetParent(self);
	self.mr:SetSize(36,self:GetHeight()-72);
	self.mr:SetBackground("KragenPlugs/DUInterface/Resources/box_silver_side_right.tga");
	self.mr:SetPosition(self:GetWidth()-36,36);
	self.mr:SetBlendMode(4);
	self.mr:SetBackColorBlendMode(4);
	self.ut=Turbine.UI.Control();
	self.ut:SetParent(self);
	self.ut:SetSize(self:GetWidth()-72,36);
	self.ut:SetBackground("KragenPlugs/DUInterface/Resources/box_silver_upper.tga");
	self.ut:SetPosition(36,0);
	self.ut:SetBlendMode(4);
	self.ut:SetBackColorBlendMode(4);
	self.lt=Turbine.UI.Control();
	self.lt:SetParent(self);
	self.lt:SetSize(self:GetWidth()-72,36);
	self.lt:SetBackground("KragenPlugs/DUInterface/Resources/box_silver_bottom.tga");
	self.lt:SetPosition(36,self:GetHeight()-36);
	self.lt:SetBlendMode(4);
	self.lt:SetBackColorBlendMode(4);
	self.bg=Turbine.UI.Control();
	self.bg:SetParent(self);
	self.bg:SetSize(self:GetWidth()-72,self:GetHeight()-72);
	self.bg:SetBackground("KragenPlugs/DUInterface/Resources/window_bgb.tga");
	self.bg:SetPosition(36,36);
	self.bg:SetBlendMode(4);
	self.bg:SetBackColorBlendMode(4);
end