
import "OneBigBag.Bag";

OneBigBag = OneBigBagWindow();
OneBigBag:SetVisible( true );

Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );


OneBigBagCommand = Turbine.ShellCommand();

function OneBigBagCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		OneBigBag:SetVisible( true );
	elseif ( arguments == "hide" ) then
		OneBigBag:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		OneBigBag:SetVisible( not OneBigBag:IsVisible() );
	elseif ( arguments == "refresh" ) then
		OneBigBag:Refresh();
	elseif ( arguments ~= nil ) then
		local opacity = tonumber( arguments )

		if ( ( opacity ~= nil ) and ( opacity > 0 ) ) then
			OneBigBag:SetOpacity( opacity );
		end
	end
end

function OneBigBagCommand:GetHelp()
	return "The One Bag\n\ntob show: Display the one bag\ntob hide: Hides the one bag";
end

function OneBigBagCommand:GetShortHelp()
	return "Shows or hides One Big Bag.";
end

Turbine.Shell.AddCommand( "tob;onebigbag", OneBigBagCommand );

listCommandsCommand = Turbine.ShellCommand();

function listCommandsCommand:Execute( command, arguments )
	local commands = Turbine.Shell.GetCommands();

	local allCommands = ""

	for key, value in pairs(commands) do
		allCommands = allCommands .. ", " .. value
	end
	
	Turbine.Shell.WriteLine( allCommands )
end

Turbine.Shell.AddCommand( "listcommands", listCommandsCommand );

doomCommand = Turbine.ShellCommand();

function doomCommand:Execute( command, arguments )
	Turbine.Shell.Execute( "/plugins unload onebigbag" );
end

Turbine.Shell.AddCommand( "doom", doomCommand );
