-- BuffBars constants

-- display formats
TimeDisplayFormat = {};
TimeDisplayFormat.Truncated = 1;
TimeDisplayFormat.Clock = 2;
TimeDisplayFormat.Literal = 3;

-- visible enums
WindowVisibility = {};
WindowVisibility.Always = 1;
WindowVisibility.InCombat = 2;
WindowVisibility.OutOfCombat = 3;
WindowVisibility.HasEffects = 4;

-- sort enums
EffectBarSort = {};
EffectBarSort.Time = 0;
EffectBarSort.Name = 1;
EffectBarSort.None = 2;
EffectBarSort.Category = 3;

-- bar order enums
EffectBarOrder = {};
EffectBarOrder.CoolDownDebuffBuff = 0;
EffectBarOrder.CoolDownBuffDebuff = 1;
EffectBarOrder.DebuffBuffCoolDown = 2;
EffectBarOrder.DebuffCoolDownBuff = 3;
EffectBarOrder.BuffCoolDownDebuff = 4;
EffectBarOrder.BuffDebuffCoolDown = 5;

-- orientation
SliderOrientation = {};
SliderOrientation.LeftToRight = 1;
SliderOrientation.RightToLeft = 2;
SliderOrientation.TopToBottom = 3;
SliderOrientation.BottomToTop = 4;

-- enums
Colors = {};
Colors.Undefined = Turbine.Gameplay.EffectCategory.Undefined;
Colors.Disease = Turbine.Gameplay.EffectCategory.Disease;
Colors.Fear = Turbine.Gameplay.EffectCategory.Fear;
Colors.Poison = Turbine.Gameplay.EffectCategory.Poison;
Colors.Wound = Turbine.Gameplay.EffectCategory.Wound;
Colors.Physical = Turbine.Gameplay.EffectCategory.Physical;
Colors.Elemental = Turbine.Gameplay.EffectCategory.Elemental;
Colors.Song = Turbine.Gameplay.EffectCategory.Song;
Colors.Corruption = Turbine.Gameplay.EffectCategory.Corruption;
Colors.Cry = Turbine.Gameplay.EffectCategory.Cry;
Colors.Flash = "flash";

